Page MenuHomePhabricator

decommission es2014.codfw.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server es2014.codfw.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

es2014

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of servee.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks removed (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui changed the task status from Open to Stalled.Sep 15 2020, 7:03 AM
Marostegui created this task.
Marostegui moved this task from Triage to Next on the DBA board.

Not yet ready - let's give es2027 a few more days.

Marostegui moved this task from Next to In progress on the DBA board.Tue, Sep 22, 6:17 AM

Mentioned in SAL (#wikimedia-operations) [2020-09-22T06:18:16Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool es2014 for decommissioning T262889', diff saved to https://phabricator.wikimedia.org/P12710 and previous config saved to /var/cache/conftool/dbconfig/20200922-061815-marostegui.json

Marostegui changed the task status from Stalled to Open.Tue, Sep 22, 6:18 AM
Marostegui updated the task description. (Show Details)

Change 629015 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] es2014: Disable notifications

https://gerrit.wikimedia.org/r/629015

Change 629015 merged by Marostegui:
[operations/puppet@production] es2014: Disable notifications

https://gerrit.wikimedia.org/r/629015

Marostegui updated the task description. (Show Details)Tue, Sep 22, 6:20 AM

Change 629054 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] instances.yaml: Remove es2014 from dbctl

https://gerrit.wikimedia.org/r/629054

Change 629054 merged by Marostegui:
[operations/puppet@production] instances.yaml: Remove es2014 from dbctl

https://gerrit.wikimedia.org/r/629054

Mentioned in SAL (#wikimedia-operations) [2020-09-22T07:14:35Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove es2014 from dbctl T262889', diff saved to https://phabricator.wikimedia.org/P12711 and previous config saved to /var/cache/conftool/dbconfig/20200922-071435-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-09-22T07:24:56Z] <marostegui> Stop MySQL on es2014 - host will be decommissioned T262889

mysql stopped. Giving it 24h before decommissioning this host.

Marostegui updated the task description. (Show Details)Tue, Sep 22, 8:18 AM

Change 629252 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove es2014 puppet references

https://gerrit.wikimedia.org/r/629252

Change 629252 merged by Marostegui:
[operations/puppet@production] mariadb: Remove es2014 puppet references

https://gerrit.wikimedia.org/r/629252

Marostegui updated the task description. (Show Details)Wed, Sep 23, 5:28 AM

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: es2014.codfw.wmnet

  • es2014.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (WARN)
    • Not all affected DC(s) have been migrated to automatic DNS, a manual patch to the operations/dns repository is required
Marostegui reassigned this task from Marostegui to Papaul.Wed, Sep 23, 5:34 AM
Marostegui updated the task description. (Show Details)
Marostegui edited projects, added ops-codfw, DC-Ops; removed Patch-For-Review, DBA.
Restricted Application added a project: Operations. · View Herald TranscriptWed, Sep 23, 5:34 AM

Host ready for DC-Ops steps!

papaul@asw-a-codfw# show | compare
[edit interfaces interface-range vlan-private1-a-codfw]
-    member ge-1/0/5;
[edit interfaces interface-range disabled]
     member ge-4/0/16 { ... }
+    member ge-1/0/5;
[edit interfaces ge-1/0/5]
-   description es2014;
Papaul updated the task description. (Show Details)Wed, Sep 23, 3:35 PM
Papaul updated the task description. (Show Details)Wed, Sep 23, 3:55 PM
Papaul moved this task from Backlog to Decommission on the ops-codfw board.Thu, Sep 24, 12:29 PM
Papaul closed this task as Resolved.Mon, Sep 28, 2:44 PM
Papaul updated the task description. (Show Details)

Complete